import { e as u } from "../index-DSGwv2Yx.js";
import "./cpu/adamAdjust.js";
import "./webgl/adamAdjust.js";
function s(r, t, e, n, m, o, i = 0) {
  return u().runKernel("AdamAdjust", { moments: r, value: t }, { beta1: e, beta2: n, epsilon: m, learningRate: o, weightDecay: i });
}
export {
  s as adamAdjust
};
